#include <math.h>
#include <stdio.h>

int main(){
 double u,v,sum_u,sum_v,mean_u,mean_v,baseline,pa;
 int n;
 FILE *f;
 f=fopen("fort.75","r");
 if( f==NULL )return 1;
 sum_u=sum_v=0.0;n=0;
 while( -1<fscanf(f,"%lf %lf",&u,&v) ){
  sum_u+=u;
  sum_v+=v;
  n++;   
 }
 fclose(f);
 if( n<4 )return 1;
 mean_u=sum_u/(double)n;
 mean_v=sum_v/(double)n;
 baseline=sqrt(mean_u*mean_u+mean_v*mean_v)/212.37;
// pa=atan2(mean_v,mean_u)*180.0/M_PI;
 pa=atan2(mean_u,mean_v)*180.0/M_PI;
 if( pa<0.0 )pa+=180.0;
 if( pa>180.0 )pa-=180.0;
 fprintf(stdout,"%4.1lf %5.1lf",baseline,pa);
 return 0;
}
